ASTMap (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTMap class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTMap

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTMap

All Implemented Interfaces:
  Node, Renderable

public class ASTMap
extends SimpleNode

AST Node for creating a map / dictionary. This class was originally generated from Parset.jjt.

Since:
  1.5
Version:
  $Id: ASTMap.java 928475 2010-03-28 18:54:55Z nbubna $

Field Summary

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, log, parent, parser, rsvc, state, templateName`

Constructor Summary
`ASTMap(int id)`
`ASTMap(Parser p, int id)`

Method Summary
`Object` | `jjtAccept(ParserVisitor visitor, Object data)`
`Object` | `value(InternalContextAdapter context)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getLocation, getRuntimeServices, getTemplateName, getType, init, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, render, setFirstToken, setInfo, setInvalid, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTMap

    public ASTMap(int id)

Parameters:
  `id` -

### ASTMap

    public ASTMap(Parser p,
                  int id)

Parameters:
  `p` -
  `id` -

Method Detail

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  See Also:
    `SimpleNode.jjtAccept(org.apache.velocity.runtime.parser.node.ParserVisitor, java.lang.Object)`

### value

    public Object value(InternalContextAdapter context)
                 throws MethodInvocationException

  Specified by:
    `value` in interface `Node`
  Overrides:
    `value` in class `SimpleNode`
  Throws:
    `MethodInvocationException`
  See Also:
    `SimpleNode.value(org.apache.velocity.context.InternalContextAdapter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.